%define libname libvdpau
%define soversion 1

Name: %libname%soversion
Version: 0.2
Release: alt1.M50P.1
Summary: Video Decode and Presentation API for Unix.

Epoch: 1

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Group: System/Libraries
License: Nvidia Free

Url: http://cgit.freedesktop.org/~aplattner/libvdpau

Source: %libname-%version.tar.bz2

Provides: %libname = %epoch:%version-%release
Obsoletes: %libname < %epoch:%version-%release
Conflicts: %libname%soversion > %epoch:%version-%release

BuildRequires: libX11-devel gcc-c++

%description
Video Decode and Presentation API for Unix.
This library provides free wrapper of the Video Decode and presentation
API.

%package -n %libname-devel
Summary: Development files for %libname
Group: Development/C++
Requires: %libname = %epoch:%version-%release
Conflicts: %libname-devel > %epoch:%version-%release

%description -n %libname-devel
Video Decode and Presentation API for Unix.
This library provides free wrapper of the Video Decode and presentation
API.

This package provides the development environment for libvdpau.

%prep
%setup -q -n %libname-%version

%build

%autoreconf

%configure \
		--enable-shared \
		--disable-static

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc COPYING AUTHORS
%_libdir/libvdpau.so.*
%_libdir/libvdpau_trace.so

%files -n %libname-devel
%_includedir/vdpau
%_libdir/libvdpau.so
%_pkgconfigdir/*.pc

%changelog
* Thu May 12 2011 Andrey Cherepanov <cas@altlinux.org> 1:0.2-alt1.M50P.1
- Fix update to p6/Sisyphus (correct obsoleted version)

* Thu Oct 15 2009 Pavlov Konstantin <thresh@altlinux.ru> 1:0.2-alt1
- Initial build for Sisyphus.

